Beta

List Files

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/files

Lists accessible Files in the selected Workspace. An optional Business filter also discovers its generated artifacts and existing documents. Workspace selection is required through authentication; it is not a query parameter.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Query Parameters

business_id?string

Optional Business filter. Omit to list accessible Files in the selected Workspace.

Match^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$
origin?string
Value in"upload""artifact""legacy_document"
status?string

Default active; all includes archived Files.

Value in"active""archived""all"
lifecycle?string

Same as status.

Value in"active""archived""all"
after?string

File cursor from a previous page.

Match^fil_[0-7][0-9A-HJKMNP-TV-Z]{25}$
limit?integer
Range1 <= value <= 100
Default20

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
files*array<>
has_more*smb_v0_operations_create_list_request.__local.properties.body.__schema16
next_cursor*string|null
request_id*string
curl -X GET 'https://example.com/v1/files' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "files": [    {      "file_id": "string",      "business_id": "string",      "name": "string",      "description": "string",      "classification": "financial",      "tags": [        "string"      ],      "origin": "upload",      "lifecycle": "active",      "current_version": {        "file_version_id": "string",        "version_number": 1,        "content_type": "string",        "size_bytes": 1,        "sha256": "string",        "processing_status": "pending_upload",        "processing_error": "string",        "summary": "string",        "created_by": {          "type": "person",          "user_id": "string",          "name": "string",          "via": null        },        "created_at": "2019-08-24T14:15:22Z",        "ready_at": "2019-08-24T14:15:22Z",        "protection": {},        "redacted_from": "string",        "redacted_copy": "string"      },      "revision": 1,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "archived_at": "2019-08-24T14:15:22Z",      "access_level": "view",      "room_id": "string"    }  ],  "has_more": true,  "next_cursor": "string",  "request_id": "string"}